; Add decorations

; Adds decorators to all hangers of all direct children in active group
; (arguments are angles, radius and rotation of decorators).

; Example for: decorator points, iteration over hangers, use of subtransaction to error recovery

; Command (trans ...) is used to error recovery - in case of error during
; execution of first thunk then operation us undone and second arg is executed
; (in this example do nothing). Used here because of some hangers (curve
; hangers) aren't suitable to hang decorator points on them

; Example (add-decors 3 1 0)
    
(define (add-decors n rad rot)
  (for-each
    (lambda (go)
        (for-each 
            (lambda (h)
	      (trans (lambda () (make-decorator-point h n rad rot))
	    	     (lambda x #t)))
            (go-hangers go)))
    (g-children (active-group))))

