; Grid

; Creates rectangular grid, starting in (*sx*, *sy*) with *ox*. *oy* space
; between lines (offset), *nx* columns and *ny* rows. Lines of grid are
; parallel to appropriate axis.

; Example for: segments, iteration (do)

; Example: (make-grid 20 20 30 30 5 4)

(define (make-grid sx sy ox oy nx ny)
  (let ((mx (+ sx (* nx ox)))
	(my (+ sy (* ny oy))))
    (do ((x sx (+ x ox)))
	((> x mx))
      (make-segment (coords x sy) (coords x my)))
    (do ((y sy (+ y oy)))
	((> y my))
      (make-segment (coords sx y) (coords mx y)))))
