/*
 * IMPORT - Ipe testing
 *
 * Copyright (c) 2004-2005    The VRR Team <vrr@ucw.cz>
 * This program is distributed under GNU General Public License, see COPYING.
 */

#include "lib/lib.h"
#include "import/import.h"

int main(int argc, char **argv)
{
	FILE *f;

	if (argc < 2) {
		err("Syntax: ipetest <ipefile>\n");
		return 1;
	}

	f = fopen(argv[1], "r");
	if (!f) {
		err("Error opening file '%s' for reading\n", argv[1]);
		return 1;
	}

	if (import_ipe5(f)<0) {
		err("Ipe file parsing failed\n");
		return 1;
	}
	return 0;
}
