/*
 * GUILE VRR
 *
 * Copyright (c) 2004-2005    The VRR Team <vrr@ucw.cz>
 * This program is distributed under GNU General Public License, see COPYING.
 */

#include "lib/lib.h"
#include <guile/gh.h>
#include "kernel/kernel.h"

static void inner_main (void* closure UNUSED, int argc, char ** argv)
{
	kernel_init (argc, argv, 0);
	scm_shell (0, argv);
}

int main (int argc, char ** argv)
{
  scm_boot_guile (argc, argv, inner_main, NULL);
  return (0);
}
