; Hallucination

; Iterates over all direct objects in active group and set random
; visual properties to them.

; Example for: property setting, iteration over objects

; Example: (hallucination)

(define (random-color)
  (list 'rgb (random 256) (random 256) (random 256)))

(define (hallucination)
  (for-each (lambda (x)
	      (set-property! x 'stroke-color (random-color))
	      (set-property! x 'stroke-cap '(cap-style round))
	      (set-property! x 'stroke-width (random 5)))
	    (g-children (active-group))))
