
(define (walk-selected-go-hanger fn)
  (let loop ((go (tlo-get-first-selected-go (get-trans-tlo)))
	     (h 'x))
    (cond
      ((not go) *unspecified*)
      ((not h) (loop (tlo-get-next-selected-go go) 'x))
      ((symbol? h) (loop go (go-get-first-hanger go)))
      (else
         (fn go h)
    	 (loop go (go-get-next-hanger h))))))


(define (walk-sel-go fn)
  (let loop ((go (tlo-get-first-selected-go (get-trans-tlo))))
    (cond
      ((not go) *unspecified*)
      (else
         (fn go)
	 (loop (tlo-get-next-selected-go go))
    	 ))))

(define (verticize-go go rad)
  (make-ellipse-by-center-2-radii-rotation (hget-endpoint-1 go) rad rad 0.0)
  (make-ellipse-by-center-2-radii-rotation (hget-endpoint-2 go) rad rad 0.0)
)

(define (verticize tlo rad)
(trans-main tlo
	    (lambda ()
	      (walk-sel-go (lambda (go)	(verticize-go go rad)))
	    ) (lambda x x) "Verticize selected gos"))
