#define GEOM_SOURCE
#include "geomlib/bezier.h"

/**
 * @file geomlib/bezier_subdiv.c
 *
 * Bezier curves subdivision routines.
 */


/*real geom_bezier_straight_error(struct geom_bezier *bezier)
{
}*/
 
real geom_bezier_nonrational_error(struct geom_bezier *b)
{
	real d = 0;
	for (uns i = 0; i < BEZIER_DEGREE(b); i++)
		d += SQR(b->pt[i].w - b->pt[i + 1].w);
	return d;
}

/*real geom_bezier_linear_error(struct geom_bezier *bezier)
{
}*/
