#ifndef _KERNEL_GL_TRANS_H_
#define _KERNEL_GL_TRANS_H_

/** @file
 * Transactions in GUILE.
 *
 * Copyright (c) 2004-2005    The VRR Team <vrr@ucw.cz>
 * This program is distributed under GNU General Public License, see COPYING.
 */

void throw_transaction_failed (const char * dsc);
void propagate_exception (SCM exception);
void propagate_trans_fail (const char * dsc);
SCM call_guile_thunk (SCM thunk, SCM *exception_ptr);
SCM call_guile_fn_from_c (SCM fn, SCM args);

void gl_trans_bindings_init(void);
void gl_trans_init (void);

extern SCM make_thunk;
extern SCM curry;

#endif


