#ifndef _VCL_OFFSET_H_
#define _VCL_OFFSET_H_

/**@file
 *
 * VCL module header
 *
 * Copyright (c) 2004-2005    The VRR Team <vrr@ucw.cz>
 * This program is distributed under GNU General Public License, see COPYING.
 */



extern vcl_vtable *vcl_vt_offset;

struct vcl_offset
{
  struct vcl_object header;
  real dx, dy;

  void * child;
};


static inline uns
vcl_offset_p (void *obj)
{ return (VCL_CLASS_P (obj, vcl_vt_offset)); }

extern struct vcl_offset *
vcl_offset_init (struct vcl_offset * obj, real dx, real dy, void * child);


#ifdef _VCL_INTERNAL_


extern void
vcl_offset_main (void);


#endif
#endif
