#ifndef _VCL_PATH_H_
#define _VCL_PATH_H_

/**@file
 *
 * VCL module header
 *
 * Copyright (c) 2004-2005    The VRR Team <vrr@ucw.cz>
 * This program is distributed under GNU General Public License, see COPYING.
 */


extern vcl_vtable *vcl_vt_path;

struct vcl_path
{
  struct vcl_object header;
  struct geom_path *used;
  struct geom_path embedded;

  void * parent;
  int data;
};


static inline uns
vcl_path_p (void *obj)
{ return (VCL_CLASS_P (obj, vcl_vt_path)); }

extern struct vcl_path *
vcl_path_new (struct geom_path * p);

extern void
vcl_path_source_changed (struct vcl_path * obj);


#ifdef _VCL_INTERNAL_


extern void
vcl_path_main (void);


#endif
#endif
