#ifndef _VCL_PTR_PLAINX_H_
#define _VCL_PTR_PLAINX_H_

/**@file
 *
 * VCL module header
 *
 * Copyright (c) 2004-2005    The VRR Team <vrr@ucw.cz>
 * This program is distributed under GNU General Public License, see COPYING.
 */



extern vcl_vtable *vcl_vt_painter_plainx;


struct vcl_painter_plainx
{
  struct vcl_object header;
  struct vcl_context *ct;
  struct vcl_growing_array point_buffer;

  uns buff_len;
  u8 * buff;

  GdkWindow *win;
  GdkGC *gc;
};


static inline uns
vcl_painter_plainx_p (void *obj)
{ return (VCL_CLASS_P (obj, vcl_vt_painter_plainx)); }

extern struct vcl_painter_plainx *
vcl_painter_plainx_new (GtkWidget *wg);


#ifdef _VCL_INTERNAL_


extern void
vcl_painter_plainx_main (void);


#endif
#endif
