#ifndef _VCL_SEGMENT_H_
#define _VCL_SEGMENT_H_

/**@file
 *
 * VCL module header
 *
 * Copyright (c) 2004-2005    The VRR Team <vrr@ucw.cz>
 * This program is distributed under GNU General Public License, see COPYING.
 */


extern vcl_vtable *vcl_vt_segment;

struct vcl_segment
{
  struct vcl_object header;
  struct geom_point p1, p2;

  void * parent;
  int data;
};


static inline uns
vcl_segment_p (void *obj)
{ return (VCL_CLASS_P (obj, vcl_vt_segment)); }

extern struct vcl_segment *
vcl_segment_new (struct geom_point p1, struct geom_point p2);

#ifdef _VCL_INTERNAL_


extern void
vcl_segment_main (void);


#endif
#endif
